/*
 * Copyright (C) 2012 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include <stdio.h>
#include <androidfw/KeycodeLabels.h>

int
main(int argc, char** argv)
{
    // TODO: Add full copyright.
    printf("// Copyright (C) 2008 The Android Open Source Project\n");
    printf("//\n");
    printf("// This file is generated by makekeycodes from the definitions.\n");
    printf("// in includes/ui/KeycodeLabels.h.\n");
    printf("//\n");
    printf("// If you modify this, your changes will be overwritten.\n");
    printf("\n");
    printf("pacakge android.os;\n");
    printf("\n");
    printf("public class KeyEvent\n");
    printf("{\n");

    for (int i=0; KEYCODES[i].literal != NULL; i++) {
        printf("    public static final int KEYCODE_%s = 0x%08x;\n",
                KEYCODES[i].literal, KEYCODES[i].value);
    }

    printf("\n");
    for (int i=0; FLAGS[i].literal != NULL; i++) {
        printf("    public static final int MODIFIER_%s = 0x%08x;\n",
                FLAGS[i].literal, FLAGS[i].value);
    }

    printf("}\n");
    return 0;
}
